local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
data(self, tweak_data)
local ps2 = {
upgrades = {"weapon_passive_headshot_damage_multiplier"},
cost = 5400,
icon_xy = {1, 0},
name_id = "all_2",
desc_id = "all_2_desc"}
local ps4 = {
upgrades = {"passive_player_xp_multiplier",
"player_passive_suspicion_bonus",
"player_passive_armor_movement_penalty_multiplier"},
cost = 7200,
icon_xy = {3, 0},
name_id = "all_4",
desc_id = "all_4_desc"}
local ps6 = {
upgrades = {"armor_kit",
"player_pick_up_ammo_multiplier"},
cost = 12800,
icon_xy = {5, 0},
name_id = "all_6",
desc_id = "all_6_desc"}
local ps8 = {
upgrades = {"weapon_passive_damage_multiplier",
"passive_doctor_bag_interaction_speed_multiplier"},
cost = 21000,
icon_xy = {7, 0},
name_id = "all_8",
desc_id = "all_8_desc"}
local pc1 = 4800
local pc3 = 6400
local pc5 = 9600
local pc7 = 25600
local pc9 = 107200
local pdcb = "player_passive_loot_drop_multiplier"
table.insert(self.specializations,{
name_id = "stoicpin'name",
desc_id = "stoicpin'desc",{
upgrades = {
"melee_stacking_hit_damage_multiplier_1", "player_damage_dampener_outnumbered_strong", "player_damage_control_passive", "temporary_damage_control", "damage_control", "player_damage_control_cooldown_drain_1", "temporary_chico_injector_1", "chico_injector", "player_passive_health_multiplier_1", "player_passive_damage_reduction_1", "team_damage_reduction_1"
},
cost = pc1,
texture_bundle_folder = "myh",
icon_xy = {0, 0},
name_id = "stoicpin'perk1n",
desc_id = "stoicpin'perk1d"},
ps2,{
upgrades = {
"player_damage_dampener_close_contact_1", "player_passive_health_multiplier_2", "player_armor_to_health_conversion", "player_damage_to_hot_1", "team_passive_stamina_multiplier_1", "player_passive_intimidate_range_mul"
},
cost = pc3,
texture_bundle_folder = "myh",
icon_xy = {1, 0},
name_id = "stoicpin'perk3n",
desc_id = "stoicpin'perk3d"},
ps4,{
upgrades = {
"player_damage_dampener_close_contact_2", "player_damage_control_auto_shrug", "player_chico_preferred_target", "player_passive_health_multiplier_3", "player_uncover_multiplier"
},
cost = pc5,
texture_bundle_folder = "myh",
icon_xy = {2, 0},
name_id = "stoicpin'perk5n",
desc_id = "stoicpin'perk5d"},
ps6,{
upgrades = {
"player_damage_dampener_close_contact_3", "player_damage_control_cooldown_drain_2", "player_chico_injector_low_health_multiplier", "player_damage_to_hot_2", "weapon_passive_armor_piercing_chance", "team_passive_health_multiplier", "player_tier_armor_multiplier_1", "team_passive_armor_multiplier", "player_panic_suppression"
},
cost = pc7,
texture_bundle_folder = "myh",
icon_xy = {3, 0},
name_id = "stoicpin'perk7n",
desc_id = "stoicpin'perk7d"},
ps8,{
upgrades = {
"player_damage_control_healing", "vita_crit", "player_chico_injector_health_to_speed", "player_damage_to_hot_extra_ticks", "weapon_passive_swap_speed_multiplier_1", "team_hostage_health_multiplier", "team_hostage_stamina_multiplier", "player_killshot_close_panic_chance", "player_passive_health_regen", "player_melee_kill_life_leech", "vita_undying"
},
cost = pc9,
texture_bundle_folder = "myh",
icon_xy = {0, 1},
name_id = "stoicpin'perk9n",
desc_id = "stoicpin'perk9d"}})
end